### Method

# PangoFc FontMap find_decoder

since: 1.26

#### Declaration [src]

    PangoFcDecoder*
    pango_fc_font_map_find_decoder (
      PangoFcFontMap* fcfontmap,
      FcPattern* pattern
    )

#### Description [src]

Finds the decoder to use for `pattern`.

Decoders can be added to a font map using `pango_fc_font_map_add_decoder_find_func()`.

Available since: 1.26

#### Parameters

`pattern`

  Type: `FcPattern`

  The `FcPattern` to find the decoder for.

  The data is owned by the caller of the method.

#### Return value

Type: `PangoFcDecoder`

A newly created `PangoFcDecoder` object or `NULL` if no decoder is set for `pattern`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.